Package org.kapott.hbci.sepa.jaxb.pain_002_001_10

# Class Charges7

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_10.Charges7

public class Charges7 extends Object

Java class for Charges7 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Charges7">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}ActiveOrHistoricCurrencyAndAmount"/>
             <element name="Agt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}BranchAndFinancialInstitutionIdentification6"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BranchAndFinancialInstitutionIdentification6`
`agt`
`protected ActiveOrHistoricCurrencyAndAmount`
`amt`

## Constructor Summary

Constructors
Constructor
Description
`Charges7()`

## Method Summary

Modifier and Type
Method
Description
`BranchAndFinancialInstitutionIdentification6`
`getAgt()`
Gets the value of the agt property.
`ActiveOrHistoricCurrencyAndAmount`
`getAmt()`
Gets the value of the amt property.
`void`
`setAgt(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the agt property.
`void`
`setAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the amt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### amt

protected ActiveOrHistoricCurrencyAndAmount amt

### agt

protected BranchAndFinancialInstitutionIdentification6 agt

## Constructor Details

### Charges7

public Charges7()

## Method Details

### getAmt

public ActiveOrHistoricCurrencyAndAmount getAmt()
Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setAmt

public void setAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getAgt

public BranchAndFinancialInstitutionIdentification6 getAgt()
Gets the value of the agt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setAgt

public void setAgt(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the agt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`